Package org.eclipse.net4j.util.collection

# Class Pair<T1,T2>

java.lang.Object
org.eclipse.net4j.util.collection.Pair<T1,T2>

Direct Known Subclasses:
  `Triplet`

public class Pair<T1,T2> extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Pair()`
`Pair(Pair<T1,T2> source)`
`Pair(T1 element1, T2 element2)`

## Method Summary

Modifier and Type
Method
Description
`Pair<T1,T2>`
`copy()`
`static <T1, T2> Pair<T1,T2>`
`create()`
`static <T1, T2> Pair<T1,T2>`
`create(T1 element1, T2 element2)`
`boolean`
`equals(Object obj)`
`final T1`
`getElement1()`
`final T2`
`getElement2()`
`int`
`hashCode()`
`void`
`setElement1(T1 element1)`
`void`
`setElement2(T2 element2)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Pair

public Pair()

### Pair

public Pair(T1 element1, T2 element2)

### Pair

public Pair(Pair<T1,T2> source)

Since:
  2.0

## Method Details

### getElement1

public final T1 getElement1()

### setElement1

public void setElement1(T1 element1)

### getElement2

public final T2 getElement2()

### setElement2

public void setElement2(T2 element2)

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`
Since:
  2.0

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`
Since:
  2.0

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Since:
  2.0

### copy

public Pair<T1,T2> copy()

Since:
  3.3

### create

public static <T1, T2> Pair<T1,T2> create()

Since:
  3.3

### create

public static <T1, T2> Pair<T1,T2> create(T1 element1, T2 element2)

Since:
  3.3